package org.project.entity.enemies;


import org.project.entity.Entity;
import org.project.item.armors.EnemyArmor;
import org.project.item.weapons.wood;

public class Skeleton extends Enemy {

    private boolean resurrect;

    public Skeleton(){
        super(50 , 30 , new wood() , new EnemyArmor());
        this.resurrect =false;
    }

    public void specialAbility(Entity target){
        System.out.println(this.toString() +"use Special ability");
        if(this.isalive() == false && this.resurrect == false){
            this.hp=25;
            this.mp=15;
            System.out.println("☠\uFE0F resurrect himself");
        }

        this.resurrect = true;



    }

    public boolean getResurrect(){
        return resurrect;
    }


    public String toString(){
        return "☠\uFE0F Skeleton ";
    }

}
